services:
  web:
    build:
      context: .
      args:
        GIT_ACCESS_TOKEN: ${GIT_ACCESS_TOKEN}
        GIT_USERNAME: ${GIT_USERNAME}
    ports:
      - "8150:8150"
    restart: always
    labels:
      - traefik.enable=true
      - traefik.http.routers.quarryparty.rule=Host(`steinbruchfest.at`) || Host(`www.steinbruchfest.at`)
      - traefik.http.routers.quarryparty.entrypoints=websecure
      - traefik.http.routers.quarryparty.tls=true
      - traefik.http.routers.quarryparty.tls.certresolver=production
      - traefik.docker.network=traefik_nw_public
    networks:
      - traefik_nw_public

networks:
  traefik_nw_public:
    external: true